# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('datasources', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Concerto',
            fields=[
                ('basedatasource_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='datasources.BaseDataSource')),
                ('invoice_hash_secret', models.CharField(max_length=80)),
                ('pg_database', models.CharField(max_length=64)),
                ('pg_user', models.CharField(max_length=64, null=True, blank=True)),
                ('pg_password', models.CharField(max_length=64, null=True, blank=True)),
                ('pg_host', models.CharField(max_length=64, null=True, blank=True)),
                ('pg_port', models.CharField(max_length=64, null=True, blank=True)),
            ],
            options={
                'verbose_name': 'Concerto\u2122',
            },
            bases=('datasources.basedatasource',),
        ),
    ]
