# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('datasources', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SolisListeCommunes',
            fields=[
                ('basedatasource_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='datasources.BaseDataSource')),
                ('base_url', models.CharField(help_text=b'Solis Web Service base URL, http://.../pfi/rest/pfi/', max_length=128)),
                ('code_dep', models.IntegerField(help_text=b'List this department by default (code)', null=True, blank=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('datasources.basedatasource',),
        ),
        migrations.CreateModel(
            name='SolisListeHomonymes',
            fields=[
                ('basedatasource_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='datasources.BaseDataSource')),
                ('base_url', models.CharField(help_text=b'Solis Web Service base URL, http://.../pfi/rest/pfi/', max_length=128)),
            ],
            options={
                'abstract': False,
            },
            bases=('datasources.basedatasource',),
        ),
        migrations.CreateModel(
            name='SolisListeLieux',
            fields=[
                ('basedatasource_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='datasources.BaseDataSource')),
                ('base_url', models.CharField(help_text=b'Solis Web Service base URL, http://.../pfi/rest/pfi/', max_length=128)),
            ],
            options={
                'abstract': False,
            },
            bases=('datasources.basedatasource',),
        ),
        migrations.CreateModel(
            name='SolisReferential',
            fields=[
                ('basedatasource_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='datasources.BaseDataSource')),
                ('base_url', models.CharField(help_text=b'Solis Web Service base URL, http://.../pfi/rest/pfi/', max_length=128)),
                ('referential', models.CharField(help_text=b'Referential name', max_length=128)),
            ],
            options={
                'abstract': False,
            },
            bases=('datasources.basedatasource',),
        ),
    ]
