from passerelle.views import GenericEndpointView

class SearchPathView(GenericEndpointView):
    def get_connector(self, **kwargs):
        return 'base_adresse'

    def get_params(self, request, *args, **kwargs):
        params = super(SearchPathView, self).get_params(request, *args, **kwargs)
        params['q'] = kwargs.pop('path')
        return params

    def get(self, request, *args, **kwargs):
        kwargs['endpoint'] = 'search'
        return super(SearchPathView, self).get(request, *args, **kwargs)
